__noinference__{
#ifndef _POLL_H_
#define _POLL_H_
#ifndef _pollfd_def_
#define _pollfd_def_
struct pollfd{
  int fd;
  short events;
  short revents;
};
#endif
#ifndef _nfds_t_def_
#define _nfds_t_def_
typedef unsigned int nfds_t;
#endif
#ifndef POLLRDBAND
#define POLLRDBAND POLLPRI
#endif
#ifndef POLLNVAL
#define POLLNVAL 32
#endif
#ifndef POLLWRBAND
#define POLLWRBAND POLLOUT
#endif
#ifndef POLLRDNORM
#define POLLRDNORM POLLIN
#endif
#ifndef POLLHUP
#define POLLHUP 16
#endif
#ifndef POLLIN
#define POLLIN 1
#endif
#ifndef POLLERR
#define POLLERR 8
#endif
#ifndef POLLPRI
#define POLLPRI 2
#endif
#ifndef POLLOUT
#define POLLOUT 4
#endif
#ifndef POLLWRNORM
#define POLLWRNORM POLLOUT
#endif

  /* Cygwin does not define this type so we take a guess :-( */
  /* FIX: make this specific to cygwin ?? */
  #ifndef _nfds_t_def_
  #define _nfds_t_def_
  typedef unsigned int nfds_t;
  #endif

  extern int poll (struct pollfd?, nfds_t, int);
#endif
}
